OVH Community, votre nouvel espace communautaire.

Installation de Java sur Release 2 OVH (Gentoo)


cassiopee
29/06/2012, 08h53
Cool, content pour toi

118218
29/06/2012, 00h33
Alors j'ai essayé de lancer le programme en ajoutant une esperluette, mais ça n'a pas l'air de fonctionner.

Par contre en remplacement les ">" et "&" dans le script de démarrage ça a résolu le problème. C'est encore mieux!

Merci infiniment pour ton aide!

cassiopee
27/06/2012, 11h25
Citation Envoyé par 118218
Là j'ai pu tout réinstaller sur Ubuntu et c'est ordre. C'est pas sorcier finalement "la ligne de commande".
Mais oui, il faut y aller progressivement mais ce n'est pas la mer à boire.
(éventuellement beaucoup de café )

Est-ce que t'as une idée?
Je ne connais pas spécialement ton application, elle a peut-être une option
en ligne de commande pour lui dire de s'installer en tant que serveur ?

Ceci dit, il existe une possibilité sous Linux pour lancer un programme quelconque
en "tâche de fonds", donc indépendamment de ta session ssh, c'est d'ajouter
à la fin de la commande une esperluette ("et" commercial) :

Code:
sudo java -jar start.jar &
D'ailleurs je pense que c'est également ce que fait le script de démarrage
que tu as repris, simplement il doit y avoir des transcriptions HTML qui ont
mis la pagaille dans cet exemple :

- Les "&" dans le script devraient être remplacés par des "&".
- De même les ">" devraient être remplacés chacun par des ">".

118218
27/06/2012, 10h31
Hello, merci encore pour ton aide. Tu m'as été d'un grand secours.

Là j'ai pu tout réinstaller sur Ubuntu et c'est ordre. C'est pas sorcier finalement "la ligne de commande".

J'ai juste encore une petite requête. Oui je sais je profite un peu .


En fait après une nuit de bataille acharnée contre mon nouveau serveur, j'ai pu enfin installer Tomcat comme je le désirais. Il ne me manque plus que "Apache Solr" et je pourrai enfin passer à autre chose.

J'ai pu installé Solr en suivant ce tuto:

http://mearra.com/blogs/ilari-makela...lr-ubuntu-1004

Ca marche assez bien, quand je fais:

Code:
sudo java -jar start.jar
depuis /usr/local/share/solr/example, mon application est correctement lancée. Jusque là tout vas bien. J'ai pu indexer le contenu de mon site et utiliser l'application. Tout est en ordre.

Le problème c'est que dès que je ferme le terminal depuis lequel j'ai exécuté "start.jar", mon application se ferme aussi!

J'ai essayé de créer un fichier /etc/init.d/solr

Code:
#!/bin/sh -e
# Starts, stops, and restarts solr 
 
SOLR_DIR="/usr/local/share/solr/example"
JAVA_OPTIONS="-Xmx1024m -DSTOP.PORT=8079 -DSTOP.KEY=stopkey -jar start.jar"
LOG_FILE="/var/log/solr.log"
JAVA="/usr/bin/java"
 
case $1 in
    start)
        echo "Starting Solr" 
        cd $SOLR_DIR
        $JAVA $JAVA_OPTIONS 2> $LOG_FILE &
        ;;
    stop)
        echo "Stopping Solr" 
        cd $SOLR_DIR
        $JAVA $JAVA_OPTIONS --stop
        ;;
    restart)
        $0 stop
        sleep 1
        $0 start
        ;;
    *)
        echo "Usage: $0 {start|stop|restart}" >&2
        exit 1
        ;;
esac
afin de démarrer solr au démarrage de mon serveur, comme c'est stipulé sur le tuto. Mais ça ne fonctionne pas.

Est-ce que t'as une idée?

cassiopee
26/06/2012, 20h50
Héhé Possible.

Même si on était sur la bonne voie avec la Release 2, je crois qu'à moyen/long terme
c'est mieux de changer.

118218
26/06/2012, 20h40
Oui bon j'ai craqué j'ai fait l'installation de Ubuntu 12.04.

On va voir ce que ça donne. Ca va sûrement être plus simple

cassiopee
26/06/2012, 20h30
Citation Envoyé par 118218
Sinon je suis en train de me demander si il ne vaut
pas mieux tout réinstaller sur Ubuntu. Cette distribution est mieux documenté
et j'ai l'impression qu'elle sera plus facile à maintenir.
C'est ce que je te disais au début, la Release 2 a des avantages, le côté
"tout prêt" mais cela s'oppose à une installation personnalisable facilement.

Par contre apparemment il faut tout installer de A à Z. Ca veut dire que je dois installer le serveur aussi?
Oui et non, en fait il faut réinstaller le système d'exploitation depuis
le manager du site web d'OVH (ça se fait en 4-5 clics de souris)

Et ensuite tu installes exactement ce que tu veux comme logiciels
(Apache, MySQL, php, etc.).

cassiopee
26/06/2012, 20h27
Citation Envoyé par 118218
Code:
ls -al /usr/local/java
 
lrwxrwxrwx 1 root root 24 2012-06-24 23:56 /usr/local/java -> /usr/java/j2sdk1.4.2_04/

Code:
ls -al /usr/bin/java 

lrwxrwxrwx 1 root root 24 2012-06-24 23:56 /usr/bin/java -> /usr/local/java/bin/java
Ok, c'est ce que je pensais : ce sont en fait deux liens symboliques
vers le binaire java (qui ne sont pas/plus là, d'où les erreurs "file not found").

Il faudrait faire en sorte qu'ils pointent vers le "bon" binaire.

On a un peu l'embarras du choix

Prend "/usr/java/bin/java" par exemple.

Il faut donc :

1) supprimer les deux liens symboliques
2) les re-créer sous le même nom mais pointant vers "/usr/java/bin/java"

118218
26/06/2012, 19h50
Sinon je suis en train de me demander si il ne vaut pas mieux tout réinstaller sur Ubuntu. Cette distribution est mieux documenté et j'ai l'impression qu'elle sera plus facile à maintenir.

Par contre apparemment il faut tout installer de A à Z. Ca veut dire que je dois installer le serveur aussi?
http://doc.ubuntu-fr.org/tutoriel/in..._configuration

Ou est-ce que je dois uniquement installer ces logiciels (pour avoir une configuration proche de la Release 2 OVH Gentoo):

- Web : apache2 / php5 (suPHP) / ssl
- Base : MySQL5 / phpMyAdmin
- E-mail : qmail / vpopmail* / courier-imap / qmailadmin spamassassin / clamAV
- FTP : proftpd
- Admin : Webmin / OVHm / Webalizer

J'ai pas non plus envie de me lancer dans une mission trop casse-cou!

118218
26/06/2012, 19h37
Code:
ls -al /usr/local/java
 
lrwxrwxrwx 1 root root 24 2012-06-24 23:56 /usr/local/java -> /usr/java/j2sdk1.4.2_04/

Code:
ls -al /usr/bin/java 

lrwxrwxrwx 1 root root 24 2012-06-24 23:56 /usr/bin/java -> /usr/local/java/bin/java

cassiopee
26/06/2012, 18h31
Citation Envoyé par 118218
Hello,

Oui je suis bien connecté en SSH en tant que root.
Ok, donc ça c'est bon.

Ca serait un problème de droits Unix sur quels fichiers/dossiers??
Sur ces fichiers "java", en particulier les deux qui ne fonctionnent pas lorsque
tu demandes leurs versions :

Par contre les deux dernières me renvoient:

-bash: /usr/bin/java: No such file or directory
Que donne un :

Code:
ls -al /usr/local/java
ls -al /usr/bin/java
successivement ?

118218
26/06/2012, 18h26
Hello,

Oui je suis bien connecté en SSH en tant que root.

Ca serait un problème de droits Unix sur quels fichiers/dossiers??

Pour info, j'ai utilisé winscp (Windows) pour envoyer mes fichiers d'installation sur le serveur.

Citation Envoyé par cassiopee

Au lieu de taper "java -version", tu peux taper :

Code:
/opt/jdk1.6.0_33/jre/bin/java -version
/opt/jdk1.6.0_33/bin/java -version
/usr/java/jre/bin/java -version
/usr/java/bin/java -version
/usr/local/java -version
/usr/bin/java -version
successivement, ligne par ligne, afin de voir celui ou ceux qui pourrait coller
en terme de version avec le tuto.
Bonne intuition!

Les 4 premières lignes de codes me renvoient toutes:

Code:
java version "1.6.0_33"
Java(TM) SE Runtime Environment (build 1.6.0_33-b03)
Java HotSpot(TM) 64-Bit Server VM (build 20.8-b03, mixed mode)
Par contre les deux dernières me renvoient:

-bash: /usr/bin/java: No such file or directory

cassiopee
26/06/2012, 14h48
Héhé, oui

Ok, a priori ceux qui peuvent être intéressants ce sont :

Code:
/opt/jdk1.6.0_33/jre/bin/java
/opt/jdk1.6.0_33/bin/java
/usr/java
/usr/java/jre/bin/java
/usr/java/bin/java
/usr/local/java
/usr/bin/java
ce qui est étrange c'est que le which dise qu'il n'y a pas de programme "java"
dans le répertoire "/usr/bin" alors que manifestement c'est le cas.

Es-tu bien connecté en SSH en tant que root ?

Peut-être un problème de droits Unix (manquerait le droit 'x', eXecute ?)

Au lieu de taper "java -version", tu peux taper :

Code:
/opt/jdk1.6.0_33/jre/bin/java -version
/opt/jdk1.6.0_33/bin/java -version
/usr/java/jre/bin/java -version
/usr/java/bin/java -version
/usr/local/java -version
/usr/bin/java -version
successivement, ligne par ligne, afin de voir celui ou ceux qui pourrait coller
en terme de version avec le tuto.

118218
26/06/2012, 14h35
Code:
which java
which: no java in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/3.4.5:/usr/lib64/jvm/jdk1.6-0_33/bin)

Code:
find / -name "java" -print
/opt/jdk1.6.0_33/db/demo/programs/scores/java
/opt/jdk1.6.0_33/db/demo/programs/vtis/java
/opt/jdk1.6.0_33/jre/bin/java
/opt/jdk1.6.0_33/bin/java
/opt/apache-solr-1.4.1/contrib/clustering/src/test/java
/opt/apache-solr-1.4.1/contrib/clustering/src/main/java
/opt/apache-solr-1.4.1/contrib/dataimporthandler/src/extras/test/java
/opt/apache-solr-1.4.1/contrib/dataimporthandler/src/extras/main/java
/opt/apache-solr-1.4.1/contrib/dataimporthandler/src/test/java
/opt/apache-solr-1.4.1/contrib/dataimporthandler/src/main/java
/opt/apache-solr-1.4.1/contrib/velocity/src/test/java
/opt/apache-solr-1.4.1/contrib/velocity/src/main/java
/opt/apache-solr-1.4.1/contrib/extraction/src/test/java
/opt/apache-solr-1.4.1/contrib/extraction/src/main/java
/opt/apache-solr-1.4.1/src/java
/usr/java
/usr/java/db/demo/programs/scores/java
/usr/java/db/demo/programs/vtis/java
/usr/java/jre/bin/java
/usr/java/bin/java
/usr/local/java
/usr/bin/java
/usr/share/swig/1.3.34/java
find: /sys/kernel/slab/L2TP/IP: No such file or directory
/home/solr/apache-solr-1.4.1/contrib/clustering/src/test/java
/home/solr/apache-solr-1.4.1/contrib/clustering/src/main/java
/home/solr/apache-solr-1.4.1/contrib/dataimporthandler/src/extras/test/java
/home/solr/apache-solr-1.4.1/contrib/dataimporthandler/src/extras/main/java
/home/solr/apache-solr-1.4.1/contrib/dataimporthandler/src/test/java
/home/solr/apache-solr-1.4.1/contrib/dataimporthandler/src/main/java
/home/solr/apache-solr-1.4.1/contrib/velocity/src/test/java
/home/solr/apache-solr-1.4.1/contrib/velocity/src/main/java
/home/solr/apache-solr-1.4.1/contrib/extraction/src/test/java
/home/solr/apache-solr-1.4.1/contrib/extraction/src/main/java
/home/solr/apache-solr-1.4.1/src/java


Comme tu peux le constater, j'en suis pas à mon premier essai!

cassiopee
26/06/2012, 14h31
J'imagine qu'un :

Code:
which java
ne renvoie rien ?

Que donne un :

Code:
find / -name "java" -print
?

118218
26/06/2012, 14h27
Salut,

Merci beaucoup pour ton aide.

En fait j'avais déjà essayé ce tutoriel, mais sans succès.

Pourtant j'ai bien tout suivi à la lettre, sans faire d'erreur! Rien n'y fait, quand j'exécute "java -version" (étape 1 et 8), j'obtiens toujours:

-bash: java: command not found

C'est bizarre car ma déclaration semble correcte:

echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/3.4.5:/usr/lib64/jvm/jdk1.6-0_33/bin

cassiopee
25/06/2012, 13h25
Citation Envoyé par 118218
Est-ce que je peux néanmoins y installer Tomcat? Ou c'est tout simplement impossible?
C'est possible avec une Release 2 mais disons qu'elle n'est pas la plus
adaptée à ce genre de choses (personnalisations, besoins spécifiques).

Et est-ce que je peux revenir à la configuration initiale?
Oui, il suffit de réinstaller la Release 2 via le manager du site web d'OVH
(dans "Services" / "Maintenance" / "Réinstaller/changer d'OS" si c'est
comme pour un serveur dédié) puis installer Tomcat.

Attention, la réinstallation va effacer toutes les données présentes dans
le serveur, faire des sauvegarde au besoin.

Un exemple d'installation de Tomcat par là : http://loic-richard.com/blog/tutos-i...too-release-2/

(il n'y a pas besoin d'aller plus loin que le paragraphe "Paramétrage Tomcat")

118218
25/06/2012, 12h56
Ce n'est pas moi qui ai demandé cette distribution. À aucun moment on m'a demandé laquelle je voulais..

C'est un peu embêtant tout ça. Est-ce que je peux néanmoins y installer Tomcat? Ou c'est tout simplement impossible?

Et est-ce que je peux revenir à la configuration initiale?

cassiopee
25/06/2012, 11h51
Ouh là ... il ne faut surtout pas faire de "emerge --sync" dans une Release 2

Actuellement tu es déjà "hors Release", ce qui veut dire concrètement que les
patches de mises à jour fournis par OVH ne fonctionneront plus dans ton système.

Afin d'installer quelque chose comme Tomcat, il ne faut pas utiliser une Release 2.
Mieux vaut partir d'une distribution "nue" type Debian. Au besoin en lui ajoutant
un panel d'administration type webmin/virtualmin si on y tient.

118218
25/06/2012, 11h14
Et c'est pareil avec "emerge --sync", ou encore "emerge portage". À chaque fois j'obtiens le même type d'erreur.

118218
25/06/2012, 11h11
J'ai essayé de mettre Portage à jour, en faisant "emerge-webrsync"

>>> Updat"ing Portage cache:
Invalid ebuild name: /usr/portage/app-admin/389-admin-console/389-admin-console-1.1.7.ebuild

Invalid ebuild name: /usr/portage/app-admin/389-admin-console/389-admin-console-1.1.8.ebuild

Invalid ebuild name: /usr/portage/app-admin/389-console/389-console-1.1.6.ebuild

Invalid ebuild name: /usr/portage/app-admin/389-console/389-console-1.1.7.ebuild

Invalid ebuild name: /usr/portage/app-admin/389-ds-console/389-ds-console-1.2.6.ebuild

Invalid ebuild name: /usr/portage/app-admin/389-ds-console/389-ds-console-1.2.3-r1.ebuild
23%
Invalid ebuild name: /usr/portage/dev-libs/389-adminutil/389-adminutil-1.1.14.ebuild

Invalid ebuild name: /usr/portage/dev-libs/389-adminutil/389-adminutil-1.1.10.ebuild

Invalid ebuild name: /usr/portage/dev-libs/389-adminutil/389-adminutil-1.1.13.ebuild
51%
Invalid ebuild name: /usr/portage/games-rpg/eschalon-book-1-demo/eschalon-book-1-demo-106.ebuild

Invalid ebuild name: /usr/portage/games-rpg/eschalon-book-1-demo/eschalon-book-1-demo-105.ebuild
75%
Invalid ebuild name: /usr/portage/net-nds/389-admin/389-admin-1.1.23.ebuild

Invalid ebuild name: /usr/portage/net-nds/389-admin/389-admin-1.1.16.ebuild

Invalid ebuild name: /usr/portage/net-nds/389-ds-base/389-ds-base-1.2.8.3.ebuild

Invalid ebuild name: /usr/portage/net-nds/389-ds-base/389-ds-base-1.2.9.6.ebuild
91%
Invalid ebuild name: /usr/portage/www-apps/389-dsgw/389-dsgw-1.1.7.ebuild

Invalid ebuild name: /usr/portage/www-apps/389-dsgw/389-dsgw-1.1.6.ebuild

Invalid ebuild name: /usr/portage/www-apps/389-dsgw/389-dsgw-1.1.5.ebuild
100%

118218
25/06/2012, 10h44
J'ai aussi essayé d'installer pear, en faisant "emerge -av dev-php/PEAR-PEAR".

Mais là encore j'obtiens une erreur d'une violence inouïe!

Calculating dependencies / *
* ERROR: dev-lang/php4-ovh-4.4.8_pre20070816-r1 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/dev-lang/php4-ovh/php4-ovh-4.4.8_pre20070816-r1.ebuild'
* php4-ovh-4.4.8_pre20070816-r1.ebuild, line 29: Called inherit 'php4_4-sapi'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass php4_4-sapi
* QA Notice: 'sed' called in global scope: eclass php4_4-sapi
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* php4_4-sapi.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
|!!! A file is not listed in the Manifest: '/usr/local/portage-ovh/dev-db/phpmyadmin/phpmyadmin-3.3.5.1.ebuild'
| *
* ERROR: dev-lang/php5-ovh-5.2.13-r1 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/dev-lang/php5-ovh/php5-ovh-5.2.13-r1.ebuild'
* php5-ovh-5.2.13-r1.ebuild, line 26: Called inherit 'php5_2-sapi'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass php5_2-sapi
* QA Notice: 'sed' called in global scope: eclass php5_2-sapi
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* php5_2-sapi.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
\ *
* ERROR: dev-lang/php5-ovh-5.3.8 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/dev-lang/php5-ovh/php5-ovh-5.3.8.ebuild'
* php5-ovh-5.3.8.ebuild, line 26: Called inherit 'php5_3-sapi'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass php5_3-sapi
* QA Notice: 'sed' called in global scope: eclass php5_3-sapi
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* php5_3-sapi.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
- *
* ERROR: net-misc/openssh-5.5_p1 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/net-misc/openssh/openssh-5.5_p1.ebuild'
* openssh-5.5_p1.ebuild, line 5: Called inherit 'eutils' 'flag-o-matic' 'ccc' 'multilib' 'autotools' 'pam'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass ccc
* QA Notice: 'sed' called in global scope: eclass ccc
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* ccc.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
-
!!! All ebuilds that could satisfy "dev-php/PEAR-PEAR" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-php/PEAR-PEAR-1.9.3 (masked by: required EAPI 3, supported EAPI 1)
- dev-php/PEAR-PEAR-1.9.4 (masked by: required EAPI 4, supported EAPI 1)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook

118218
25/06/2012, 10h42
Bonjour,

Je viens de recevoir mon vps. Je suis débutant sous Linux (encore plus sous Gentoo). Je dois installer Tomcat sur mon serveur. Malheureusement ça bloque déjà à l'installation de java.

Premièrement, la commande "java -version" ne fonctionne pas. J'ai toujours l'erreur:

-bash: java: command not found

J'essaie d'installer Tomcat en m'aidant de ce tutoriel:

http://guide.ovh.com/InstallerTomcat

Mais je n'arrive pas à installer Java; quand j’essaie d'exécuter "emerge j2sdk-1_4_2_19-linux-i586.rpm
" j'obtiens une multitude d'erreurs. Je crois que j'ai le même problème pour n'importe quel fichier d'installation.



vps10839 soft # emerge j2sdk-1_4_2_19-linux-i586.rpm
Calculating dependencies | *
* ERROR: dev-lang/php4-ovh-4.4.8_pre20070816-r1 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/dev-lang/php4-ovh/php4-ovh-4.4.8_pre20070816-r1.ebuild'
* php4-ovh-4.4.8_pre20070816-r1.ebuild, line 29: Called inherit 'php4_4-sapi'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass php4_4-sapi
* QA Notice: 'sed' called in global scope: eclass php4_4-sapi
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* php4_4-sapi.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
|!!! A file is not listed in the Manifest: '/usr/local/portage-ovh/dev-db/phpmyadmin/phpmyadmin-3.3.5.1.ebuild'
| *
* ERROR: dev-lang/php5-ovh-5.2.13-r1 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/dev-lang/php5-ovh/php5-ovh-5.2.13-r1.ebuild'
* php5-ovh-5.2.13-r1.ebuild, line 26: Called inherit 'php5_2-sapi'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass php5_2-sapi
* QA Notice: 'sed' called in global scope: eclass php5_2-sapi
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* php5_2-sapi.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
\ *
* ERROR: dev-lang/php5-ovh-5.3.8 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/dev-lang/php5-ovh/php5-ovh-5.3.8.ebuild'
* php5-ovh-5.3.8.ebuild, line 26: Called inherit 'php5_3-sapi'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass php5_3-sapi
* QA Notice: 'sed' called in global scope: eclass php5_3-sapi
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* php5_3-sapi.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*
/ *
* ERROR: net-misc/openssh-5.5_p1 failed.
* Call stack:
* ebuild.sh, line 1590: Called source '/usr/local/portage-ovh/net-misc/openssh/openssh-5.5_p1.ebuild'
* openssh-5.5_p1.ebuild, line 5: Called inherit 'eutils' 'flag-o-matic' 'ccc' 'multilib' 'autotools' 'pam'
* ebuild.sh, line 1312: Called die
* The specific snippet of code:
* QA Notice: 'sed' called in global scope: eclass ccc
* QA Notice: 'sed' called in global scope: eclass ccc
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
* ccc.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage-ovh/'
*